class Response implements ResponseInterface

Methods

__construct(int $streamId, int $statusCode, array $headers, string|null $body, bool $pipeline)

Create a new HTTP/2 response instance.

int
getStreamId()

Get the stream ID.

int
getStatusCode()

Get the HTTP status code.

array
getHeaders()

Get the response headers.

string|null
getBody()

Get the response body.

bool
isEndStream()

Determine whether the response event ends the stream.

Details

at line 14
__construct(int $streamId, int $statusCode, array $headers, string|null $body, bool $pipeline)

Create a new HTTP/2 response instance.

Parameters

int $streamId
int $statusCode
array $headers
string|null $body
bool $pipeline

at line 26
int getStreamId()

Get the stream ID.

Return Value

int

at line 34
int getStatusCode()

Get the HTTP status code.

Return Value

int

at line 42
array getHeaders()

Get the response headers.

Return Value

array

at line 50
string|null getBody()

Get the response body.

Return Value

string|null

at line 58
bool isEndStream()

Determine whether the response event ends the stream.

Return Value

bool